Bug 2076 - /sbin/ifup doesn't recognise interface initialisation failure
/sbin/ifup doesn't recognise interface initialisation failure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-08 21:26 EDT by Sittampalam, Ganesh
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-09 10:26:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sittampalam, Ganesh 1999-04-08 21:26:38 EDT
The /sbin/ifup script contains this line to detect whether
an interface works:
/sbin/ifconfig ${REALDEVICE} 2>&1 | grep -s "unknown
interface" > /dev/null

The current version of ifconfig doesn't return a line with
"unknown interface" in it if an interface fails to
initialise, so this isn't very helpful.

------- Email Received From  "Ganesh Sittampalam,Computing Laboratory,83512,86765" <ganesh.sittampalam@magd.ox.ac.uk> 04/08/99 21:30 -------
Comment 1 Bill Nottingham 1999-04-09 10:26:59 EDT
this has been fixed in initscripts-4.01-2.

Note You need to log in before you can comment on or make changes to this bug.